api.setNext()
Description
Allows adding some action into the Event Bus orderUsage
api.setNext(next: any): void;
Parameters
next- (required) the action to be included into the Event Bus order
Example
import { useState } from "react";
import { RestDataProvider } from "@svar-ui/filemanager-data-provider";
import { Filemanager } from "@svar-ui/react-filemanager";
const url = "https://some-backend-url";
const restProvider = new RestDataProvider(url);
export default function App() {
const [data, setData] = useState([]);
function init(api) {
api.setNext(restProvider);
}
return <Filemanager init={init} data={data} />;
}
Related articles:

api.setNext()
Description
Allows adding some action into the Event Bus orderUsage
api.setNext(next: any): void;
Parameters
next- (required) the action to be included into the Event Bus order
Example
<script setup>
import { RestDataProvider } from "@svar-ui/filemanager-data-provider";
import { Filemanager } from "@svar-ui/vue-filemanager";
const url = "https://some-backend-url";
const restProvider = new RestDataProvider(url);
const data = ref([]);
function init(api) {
api.setNext(restProvider);
}
</script>
<Filemanager :init="init" :data="data" />
Related articles: